package com.bgy.sms.channel.bgy.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 短信参数配置
 */
@Component
public class BgySMSConfig {
    // appId
    public static String appId;
    // 安全码
    public static String securityCode;
    // 请求地址
    public static String url;
    // 项目楼盘ID
    // api
    public static String api;



    @Value("${system.config.bgy.appId}")
    public void setAppId(String appId) {
        BgySMSConfig.appId = appId;
    }

    @Value("${system.config.bgy.securityCode}")
    public void setSecurityCode(String securityCode) {
        BgySMSConfig.securityCode = securityCode;
    }

    @Value("${system.config.bgy.url}")
    public void setUrl(String url) {
        BgySMSConfig.url = url;
    }

    @Value("${system.config.bgy.api}")
    public void setApi(String api) {
        BgySMSConfig.api = api;
    }

}
